export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: '工作台',
    icon: 'smile',
    component: './Welcome',
  },
  {
    path: '/admin',
    name: 'admin',
    icon: 'crown',
    access: 'canAdmin',
    component: './Admin',
    routes: [
      {
        path: '/admin/sub-page',
        name: 'sub-page',
        icon: 'smile',
        component: './Welcome',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/MonitoringScreen',
    name: '数据大屏',
    icon: 'DesktopOutlined',
    component: './MonitoringScreen',
    access: 'screen',
  },
  {
    path: '/ContentManagementSystem',
    name: 'CMS管理',
    icon: 'MediumOutlined',
    component: '../layouts/BasicLayout',
    access: 'cms',
    routes: [
      {
        path: '/ContentManagementSystem/InformationClassification',
        name: '资讯分类',
        access: 'cmstype',
        component: './ContentManagementSystem/InformationClassification',
      },
      {
        path: '/ContentManagementSystem/InformationClassification/InformationClassificationEdit',
        name: '资讯分类编辑',
        component:
          './ContentManagementSystem/InformationClassification/InformationClassificationEdit',
        hideInMenu: true,
      },
      {
        path: '/ContentManagementSystem/InformationList',
        name: '资讯列表',
        access: 'news',
        component: './ContentManagementSystem/InformationList',
      },
      {
        path: '/ContentManagementSystem/InformationList/InformationListEdit',
        name: '资讯列表编辑',
        component: './ContentManagementSystem/InformationList/InformationListEdit',
        hideInMenu: true,
      },
      {
        path: '/ContentManagementSystem/Advertisement',
        name: '广告位管理',
        access: 'banner',
        component: './ContentManagementSystem/Advertisement',
      },
      {
        path: '/ContentManagementSystem/Advertisement/edit.jsx',
        name: '广告位编辑',
        component: './ContentManagementSystem/Advertisement/edit.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/Machinery',
    name: '农机管理',
    icon: 'CarOutlined',
    access: 'agricultural',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Machinery/GPS',
        name: '设备管理',
        access: 'device',
        component: './Machinery/GPS',
      },
      {
        path: '/Machinery/GPS/edit.jsx',
        name: '设备编辑',
        component: './Machinery/GPS/edit.jsx',
        hideInMenu: true,
      },
      {
        path: '/Machinery/MachineryType',
        name: '分类管理',
        access: 'machinetype',
        component: './Machinery/MachineryType',
      },
      {
        path: '/Machinery/Machinery',
        name: '农机列表',
        access: 'machinery',
        component: './Machinery/Machinery',
      },
      {
        path: '/Machinery/Machinery/edit.jsx',
        name: '农机编辑',
        component: './Machinery/Machinery/edit.jsx',
        hideInMenu: true,
      },
      {
        path: '/Machinery/GIS',
        name: '农机GIS',
        access: 'gis',
        component: './Machinery/GIS',
      },
    ],
  },
  {
    path: '/OrderManage',
    name: '订单调度',
    access: 'order',
    icon: 'PhoneOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/OrderManage/index.jsx',
        name: '订单调度',
        access: 'orderjob',
        component: './OrderManage',
      },
      {
        path: '/OrderManage/JobWarning/index.jsx',
        name: '预警监管',
        access: 'orderwarning',
        component: './OrderManage/JobWarning',
      },
    ],
  },
  {
    path: '/JobStatistics',
    name: '作业统计',
    access: 'statis',
    icon: 'ScheduleOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/JobStatistics/Order',
        name: '订单统计',
        access: 'st-order',
        component: './JobStatistics/Order',
      },
      {
        path: '/JobStatistics/Job',
        name: '作业统计',
        access: 'st-work',
        component: './JobStatistics/Job',
      },
      {
        path: '/JobStatistics/RevenueExpenditure',
        name: '收支统计',
        access: 'st-finance',
        component: './JobStatistics/RevenueExpenditure',
      },
    ],
  },

  {
    path: '/Finance',
    name: '财务管理',
    access: 'finance',
    icon: 'DollarOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Finance/AccountLog',
        name: '平台流水',
        access: 'fi-system',
        component: './Finance/AccountLog',
      },
      {
        path: '/Finance/Withdrawal',
        name: '提现管理',
        access: 'fi-withdraw',
        component: './Finance/Withdrawal',
      },
    ],
  },
  {
    path: '/PlatformMessageManagement',
    name: '消息管理',
    icon: 'MailOutlined',
    access: 'message',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/PlatformMessageManagement/MessageManageList',
        name: '平台消息',
        access: 'sys-message',
        icon: 'smile',
        component: './PlatformMessageManagement/MessageManageList',
      },
      {
        path: '/PlatformMessageManagement/MessageEdit',
        name: '消息查看',
        component: './PlatformMessageManagement/MessageEdit',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/SystemManagement',
    name: '系统管理',
    icon: 'SettingOutlined',
    access: 'system',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/SystemManagement/Region',
        name: '区域设置',
        access: 'region',
        component: './SystemManagement/Region',
        // hideInMenu: true
      },
      {
        path: '/SystemManagement/Cooperative',
        name: '机构列表',
        access: 'org',
        component: './SystemManagement/Cooperative',
      },
      {
        path: '/SystemManagement/UserRights',
        name: '角色管理',
        access: 'role',
        component: './SystemManagement/UserRights',
      },
      {
        path: '/SystemManagement/Administrator',
        name: '人员管理',
        access: 'user',
        component: './SystemManagement/Administrator',
      },
      {
        path: '/SystemManagement/BasicParameters',
        name: '基本参数',
        access: 'setting',
        component: './SystemManagement/BasicParameters',
      },
    ],
  },

  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
