import { Input, Modal, Form, Button } from 'antd'
import { useEffect, useState } from 'react'


const FormItem = Form.Item
export default (props) => {
  const { value, visible, onChange, onCancel, sortVale } = props


  const [text, setText] = useState()
  const [sort, setSort] = useState()

  const Submit = (e) => {
    setSort(e.target.value)
  }

  const handleChange = (e) => {
    setText(e.target.value)
  }


  const handleOk = () => {
    onChange(text, sort)
  }


  useEffect(() => {
    setText(value)
    setSort(sortVale)

  }, [value, visible, sortVale])

  return (
    <Modal title="请输入文字" visible={visible} onOk={handleOk} onCancel={onCancel} destroyOnClose={true}>
      <Form onFinish={Submit} >
        <FormItem label="内容" rules={[{ required: true, message: '请输入内容' }]} >
          <Input.TextArea value={text} onChange={handleChange} />
        </FormItem>
        <FormItem label="权重" rules={[{ required: true, message: '请设置权重' }]}>
          <Input min={0} placeholder="请输入权重" type='number' value={sort} onChange={Submit} style={{ width: '350px' }} />
        </FormItem>
      </Form>


    </Modal>
  )
}
