import markerImg from '@/assets/images/screen/map-marker.png';

export default (AMap, map, opts = {}) => {
  const marker = new AMap.Marker({
    map,
    icon: markerImg,
    anchor: 'top-center',
    offset: new AMap.Pixel(0, 0),
    ...opts,
  });

  let show = false;
  const content = opts?.extData?.value;

  marker.on('click', () => {
    if (show) {
      marker.setLabel({ content: '' });
      show = false;
      return;
    }

    if (!content) {
      marker.setLabel({ content: '' });
    } else {
      marker.setLabel({
        direction: 'top',
        offset: new AMap.Pixel(0, 0),
        content: `<div class='geo-map-marker-label'><div class='geo-map-marker-label-text'>${content}</div></div>`,
      });
    }

    show = true;
  });

  return marker;
};
