import { useEffect, useState } from 'react'
import { Button, Modal } from 'antd'
import SearchPOI from '@/components/AMap/SearchPOI'

export default (props) => {
  const { value, onChange, placeholder, setLocName, setAddress, setPkLocName, setParkingAddress, roomBoole } = props

  const [showModal, setShowModal] = useState(false);
  const [location, setLocation] = useState()

  const handleOk = () => {
    onChange(location)
    setShowModal(false)
  }

  useEffect(() => {
    setLocation(value)
  }, [value])

  return (
    <div>
      <Button type="link" onClick={() => setShowModal(true)}>{value || placeholder}</Button>
      <Modal
        title="请选择地址"
        visible={showModal}
        width={800}
        bodyStyle={{ padding: 0 }}
        onOk={handleOk}
        onCancel={() => setShowModal(false)}
      >
        <SearchPOI
          value={location}
          onChange={onChange}
          setLocName={setLocName}
          setAddress={setAddress}
          setPkLocName={setPkLocName}
          setParkingAddress={setParkingAddress}
          roomBoole={roomBoole}
        />
      </Modal>
    </div>
  )
}
