import React, { useState, useEffect, useRef } from 'react';
import { Checkbox, Divider } from 'antd';

const BoxGroup = (props) => {
  const { value, onchange, title, currenList } = props;
  const [indeterminate, setIndeterminate] = useState(false);
  const [checkAll, setCheckAll] = useState(false);
  const [oldRoleList, setOldRoleList] = useState([]);

  const onChange = (list) => {
    var current;
    if (oldRoleList.length === 0) {
      onchange([...value, list[0]]);
    } else if (list.length === 0) {
      onchange(value.filter((item) => item !== oldRoleList[0]));
    } else if (oldRoleList.length > list.length) {
      //老的数据大于新的数据说明在减少
      oldRoleList.map((item) => {
        if (list.indexOf(item) === -1) {
          current = item;
        }
      });
      onchange(value.filter((item) => item !== current));
    } else {
      list.map((item) => {
        if (oldRoleList.indexOf(item) === -1) {
          current = item;
        }
      });
      onchange([...value, current]);
    }
    setIndeterminate(!!list.length && list.length < currenList.length);
    setCheckAll(list.length === currenList.length);
    setOldRoleList(list);
  };
  const onCheckAllChange = (e) => {
    var list = currenList.map((item) => {
      return item.permissionId;
    });
    // 将对象数组转换为字符串数组
    var list2 = [...value];
    if (e.target.checked) {
      // 全选了吧需要的加入
      list.forEach((item) => {
        if (list2.indexOf(item) === -1) {
          list2.push(item);
        }
      });
      onchange(list2);
    } else {
      list.forEach((item) => {
        if (list2.indexOf(item) !== -1) {
          list2.splice(list2.indexOf(item), 1);
        }
      });
      onchange(list2);
    }
    setIndeterminate(false);
    setCheckAll(e.target.checked);
  };
  useEffect(() => {
    if (currenList.length > 0) {
      let num = 0;
      var list = currenList.map((item) => {
        return item.permissionId;
      });
      value.forEach((item) => {
        if (list.indexOf(item) !== -1) {
          num++;
        }
      });
      if (num === 0) {
        setIndeterminate(false);
        setCheckAll(false);
      } else if (num < currenList.length) {
        setIndeterminate(!!num && num < currenList.length);
      } else {
        setIndeterminate(false);
        setCheckAll(true);
      }
    }
  }, [currenList]);
  return (
    <>
      <Divider orientation="center">{title}权限</Divider>
      {currenList.length > 0 && (
        <Checkbox indeterminate={indeterminate} onChange={onCheckAllChange} checked={checkAll}>
          全选
        </Checkbox>
      )}
      <Checkbox.Group style={{ width: '100%' }} value={value} onChange={onChange}>
        {currenList.map((item) => {
          return (
            <div key={item.permissionId}>
              <Checkbox value={item.permissionId}>{item.name}</Checkbox>
              <br />
            </div>
          );
        })}
      </Checkbox.Group>
    </>
  );
};
export default BoxGroup;
