import React, { useMemo } from 'react';

import icon1 from '@/assets/images/screen/statis-icon1.png';
import icon2 from '@/assets/images/screen/statis-icon2.png';
import icon3 from '@/assets/images/screen/statis-icon3.png';
import icon4 from '@/assets/images/screen/statis-icon4.png';
import Styles from './style.less';

const icon = {
  icon1,
  icon2,
  icon3,
  icon4,
};

export default (props) => {
  const titleStyle = useMemo(() => ({ color: props.color || '#23E8AE' }), [props.color]);

  return (
    <div className={Styles['statis-card']}>
      <div>
        <div className={Styles['statis-title']} style={titleStyle}>
          <span>
            <img src={icon[props.icon]} alt="" />
          </span>
          <span>{props.value}</span>
        </div>
        <div className={Styles['statis-subtitle']}>{props.title}</div>
      </div>
    </div>
  );
};
