import { Input, Button, Tooltip, message } from 'antd';
import { useState } from 'react';
import { CheckOutlined, UndoOutlined } from '@ant-design/icons';

const SettingRow = (props) => {
  const { value, onChange } = props;
  const [val, setVal] = useState(value.settingValue);
  const [isShow, setIsShow] = useState(false);
  const handleInput = () => {
    setIsShow(true);
  };
  const handleClick = () => {
    if (val) {
      onChange(value, val);
    } else {
      message.info(value.settingDesc + '不能为空');
      setVal(value.settingValue);
    }
  };
  const handleChange = (e) => {
    setVal(e.target.value);
  };
  const handleReset = () => {
    setVal(value.settingValue);
    setIsShow(false);
  };
  return (
    <div style={{ textAlign: 'center' }}>
      {value.settingDesc}：
      <Input style={{ width: '400px' }} value={val} onChange={handleChange} onInput={handleInput} />
      <Button
        type="text"
        style={{ color: '#1890ff', visibility: isShow ? 'inherit' : 'hidden' }}
        icon={<CheckOutlined />}
        onClick={handleClick}
      />
      <Tooltip placement="top" title={'重置' + value.settingDesc}>
        <Button
          type="text"
          style={{ color: 'green', visibility: isShow ? 'inherit' : 'hidden' }}
          icon={<UndoOutlined />}
          onClick={handleReset}
        />
      </Tooltip>
    </div>
  );
};
export default SettingRow;
