import { Input, Card, Select, Button, message, Upload, Modal } from 'antd';
import { useEffect, useState } from 'react';
import { Form } from 'antd';
import { history } from 'umi';
import ProCard from '@ant-design/pro-card';
import { UploadImage } from '@/components/Upload';
import ExtendContent from '@/components/ExtendContent';

const { Option } = Select;
const goBack = () => {
  history.goBack();
};
const FormItem = Form.Item;
export default (props) => {
  const [form] = Form.useForm();
  const [loading, setLoading] = useState(false);
  const [image, setImage] = useState();

  const formItemLayout = {
    //布局
    labelCol: { span: 6 },
    wrapperCol: { span: 14 },
  };

  const Submit = (values) => {
    message.success(`成功成功成功`);
  };

  return (
    <Card>
      <ProCard tabs={{ type: 'card' }} style={{ marginTop: '16px' }}>
        <ProCard.TabPane key={1} tab="资讯管理">
          <Form {...formItemLayout} onFinish={Submit} form={form}>
            <FormItem label="名称" name="title" rules={[{ required: true, message: '请输入' }]}>
              <Input placeholder="请输入" style={{ width: '350px' }} />
            </FormItem>
            <FormItem label="图片" name="thumb" rules={[{ required: true, message: '请选择' }]}>
              <UploadImage value={image} onChange={setImage} />
            </FormItem>
            <FormItem label="位置" name="position" rules={[{ required: true, message: '请选择' }]}>
              <Select>
                <Option value="index">首次引导页</Option>
                <Option value="index">app启动页</Option>
                <Option value="banner">banner</Option>
              </Select>
            </FormItem>
            <FormItem label="详细信息" colon={false}>
              <ExtendContent
                targetType="tourist"
                targetId={'66'}
                onCancel={() => history.goBack()}
              />
            </FormItem>
            <FormItem label=" " colon={false}>
              <Button type="default" onClick={() => goBack()}>
                返回
              </Button>
              <Button
                type="primary"
                loading={loading}
                htmlType="Submit"
                style={{ marginLeft: '4em' }}
              >
                保存
              </Button>
            </FormItem>
          </Form>
        </ProCard.TabPane>
      </ProCard>
    </Card>
  );
};
