import { Input, Card, Select, Button, Form, message } from 'antd';
import { useEffect, useState } from 'react';
import { history } from 'umi';
import ProCard from '@ant-design/pro-card';
import ExtendContent from '@/components/ExtendContent';
import { UploadImage } from '@/components/Upload';

const { Option } = Select;
const goBack = () => {
  history.goBack();
};
const FormItem = Form.Item;
export default (props) => {
  const [form] = Form.useForm();
  const [loading, setLoading] = useState(false);
  const [image, setImage] = useState();

  const formItemLayout = {
    //布局
    labelCol: { span: 6 },
    wrapperCol: { span: 14 },
  };

  const Submit = (values) => {};

  return (
    <Card>
      <ProCard tabs={{ type: 'card' }} style={{ marginTop: '16px' }}>
        <ProCard.TabPane key={1} tab="资讯管理">
          <Form {...formItemLayout} onFinish={Submit} form={form}>
            <FormItem label="资讯分类" name="user" rules={[{ required: true, message: '请选择' }]}>
              <Select
                placeholder="请选择"
                // onChange={onGenderChange}
                allowClear
                style={{ width: '350px' }}
              >
                <Option value="nongji">一分类</Option>
                <Option value="nonghu">二分类</Option>
              </Select>
            </FormItem>
            <FormItem
              label="资讯名称"
              name="shopName"
              rules={[{ required: true, message: '请输入' }]}
            >
              <Input placeholder="请输入" style={{ width: '350px' }} />
            </FormItem>
            <FormItem label="资讯封面" name="thumb" rules={[{ required: true, message: '请输入' }]}>
              <UploadImage value={image} onChange={setImage} />
            </FormItem>
            <FormItem label="详细信息" colon={false}>
              <ExtendContent
                targetType="tourist"
                targetId={'66'}
                onCancel={() => history.goBack()}
              />
            </FormItem>
            <FormItem label=" " colon={false}>
              <Button type="default" onClick={() => goBack()}>
                返回
              </Button>
              <Button
                type="primary"
                loading={loading}
                htmlType="Submit"
                style={{ marginLeft: '4em' }}
              >
                保存
              </Button>
            </FormItem>
          </Form>
        </ProCard.TabPane>
      </ProCard>
    </Card>
  );
};
