import React from 'react';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import moment from 'moment';
import PageTable from '@/components/PageTable';

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};

export default (props) => {
  const columns = [
    {
      title: '流水号',
      dataIndex: 'log_id',
      key: 'log_id',
    },
    {
      title: '订单号',
      dataIndex: 'orderId',
      key: 'orderId',
    },
    {
      title: '用户Id',
      dataIndex: 'userId',
      key: 'userId',
    },
    {
      title: '收款人',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '手机号码',
      dataIndex: 'phone',
      key: 'phone',
    },
    {
      title: '用户类型',
      dataIndex: 'type',
      key: 'type',
      valueType: 'select',
      valueEnum: {
        '': { text: '不限', status: 'Default' },
        1: { text: '押金' },
        2: { text: '人工费' },
      },
    },
    {
      title: '支付方式',
      dataIndex: 'payType',
      key: 'payType',
      valueType: 'select',
      search: false,
      valueEnum: {
        '': { text: '不限', status: 'Default' },
        1: { text: '微信' },
        2: { text: '支付宝' },
      },
    },
    {
      title: '流水金额',
      dataIndex: 'money',
      key: 'money',
      search: false,
    },
    {
      title: '发生时间',
      dataIndex: 'createDate',
      key: 'createDate',
      search: false,
      render: (t) => formatterTime(t),
      width: 200,
    },
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        // request={getPersonList}
        // expfunc={exportPersonList}
        columns={columns}
        rowKey="logId"
        options={false}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
