import React from 'react';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import moment from 'moment';
import PageTable from '@/components/PageTable';

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};

export default (props) => {
  const columns = [
    {
      title: '序号',
      dataIndex: 'sortId',
      key: 'sortId',
      search: false,
    },
    {
      title: '用户账号',
      dataIndex: 'account_id',
      key: 'account_id',
    },
    {
      title: '收款人',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '手机号码',
      dataIndex: 'phone',
      key: 'phone',
    },
    {
      title: '提现金额',
      dataIndex: 'money',
      key: 'money',
      search: false,
    },
    {
      title: '账号类型',
      dataIndex: 'payType',
      key: 'payType',
      valueType: 'select',
      valueEnum: {
        '': { text: '不限', status: 'Default' },
        1: { text: '微信' },
        2: { text: '支付宝' },
      },
      search: false,
    },
    {
      title: '提现账号',
      dataIndex: 'withfrawalNum',
      key: 'withfrawalNum',
      search: false,
    },

    {
      title: '申请时间',
      dataIndex: 'createDate',
      key: 'createDate',
      search: false,
      render: (t) => formatterTime(t),
      search: false,
    },
    {
      title: '更新时间',
      dataIndex: 'updateDate',
      key: 'updateDate',
      valueType: 'date',
      render: (t) => formatterTime(t),
      width: 200,
    },
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        // request={getPersonList}
        // expfunc={exportPersonList}
        columns={columns}
        rowKey="withdrawalId"
        options={false}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
