import { history, Link } from 'umi';
import { useRef } from 'react';
import { Button, message, Popconfirm } from 'antd';
import { PlusOutlined } from '@ant-design/icons';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import ProTable, { TableDropdown } from '@ant-design/pro-table';

export default (props) => {
  const dataSource = [
    {
      id: 9,
      key: '1',
      name: '胡彦斌',
      age: 32,
      status: 1,
      zz: '西湖区湖底公园1号',
    },
  ];

  // 测试内容👆-------------------------

  const actionRef = useRef();
  const gotoDetail = (id) => {
    history.push(`./GPS/edit.jsx`);
  };

  const handleDelete = (e) => {
    deleteNote(e.noteId).then((res) => {
      message.success('删除成功');
      actionRef.current.reload();
    });
  };

  const actions = () => [
    <Button key="add" type="primary" icon={<PlusOutlined />} onClick={() => gotoDetail()}>
      新增
    </Button>,
  ];
  const columns = [
    {
      title: 'ID',
      key: 'zz',
      dataIndex: 'zz',
    },
    {
      title: '设备号',
      dataIndex: 'name',
      key: 'name',
    },
    {
      title: '状态',
      dataIndex: 'status',
      // initialValue: 'all',
      key: 'status',
      valueEnum: {
        0: { text: '已启用', status: 'Success' },
        1: { text: '已禁用', status: 'Error' },
      },
    },

    {
      title: '操作',
      valueType: 'option',
      key: 'option',
      ellipsis: true,
      width: 200,
      render: (_, record) => [
        <Link key={2} to={`./GPS/edit.jsx`}>
          编辑
        </Link>,
        <Popconfirm
          key={3}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record)}
          okText="确定"
          cancelText="取消"
        >
          <a href="#">删除</a>
        </Popconfirm>,
      ],
    },
  ];

  return (
    <PageHeaderWrapper>
      <ProTable
        dataSource={dataSource}
        columns={columns}
        // request={getNoteList} 请求
        // rowKey="noteId"
        options={false}
        toolBarRender={actions}
        actionRef={actionRef}
      />
    </PageHeaderWrapper>
  );
};
