import React from 'react';
import classNames from 'classnames';
import Item from './Item';
import Styles from './style.less';

export default (props) => {
  const { title, color, children } = props;

  const classList = classNames(Styles['list-title'], {
    [Styles['yellow-title']]: color !== 'green',
    [Styles['green-title']]: color === 'green',
  });

  return (
    <div className={Styles['screen-list']}>
      <div className={classList}>
        <div>{title}</div>
      </div>
      {React.Children.map(children, (child) => (
        <Item color={color}>{child}</Item>
      ))}
    </div>
  );
};
