import React, { useEffect, useMemo, useRef } from 'react';
import BasicChart from './BasicChart';
import deepCopy from '@/utils/deepCopy';

const defaultOpt = {
  tooltip: {
    trigger: 'item',
    formatter: '{b} : {c} ({d}%)',
  },
  legend: {
    orient: 'vertical',
    left: 'right',
    bottom: '5%',
    textStyle: { color: '#fff' },
  },
  toolbox: {},
  series: [
    {
      type: 'pie',
      radius: ['30%', '60%'],
      roseType: 'area',
      itemStyle: {
        borderRadius: 5,
      },
      label: {
        color: '#fff',
        formatter: '{b} \n{d}%',
      },
      // labelLine: {
      //   length: 10,
      //   length2: 36,
      // },
    },
  ],
};

export default (props) => {
  const option = useMemo(() => deepCopy(defaultOpt), []);
  option.series[0].data = props.source;

  return <BasicChart title="农机作业量面积统计" option={option} />;
};
