import React, { useEffect, useMemo, useRef } from 'react';
import BasicChart from './BasicChart';
import deepCopy from '@/utils/deepCopy';

const defaultOpt = {
  tooltip: {
    trigger: 'item',
    formatter: '{b} : {c} ({d}%)',
  },
  legend: {
    orient: 'vertical',
    left: 'left',
    top: '5%',
    textStyle: { color: '#fff' },
  },
  toolbox: {},
  series: [
    {
      type: 'pie',
      radius: ['30%', '60%'],
      itemStyle: {
        borderRadius: 5,
      },
      // itemStyle: {
      //   borderRadius: 10,
      //   borderColor: '#fff',
      //   borderWidth: 1,
      // },
      label: {
        show: false,
        position: 'center',
      },
      emphasis: {
        label: {
          color: '#fff',
          show: true,
          fontSize: '28',
          fontWeight: 'bold',
        },
      },
      labelLine: {
        show: false,
      },
    },
  ],
};

export default (props) => {
  const option = useMemo(() => deepCopy(defaultOpt), []);
  option.series[0].data = props.source;

  return <BasicChart title="农机作业数统计" option={option} />;
};
