import React, { useCallback, useEffect, useRef, useState } from 'react';
import useResize from '@/utils/hooks/useResize';

export function useFullScreen(elRef) {
  const [isFullScreen, setIsFullScreen] = useState(false);
  const fullScreenRef = useRef();
  fullScreenRef.current = isFullScreen;

  const toggleFullScreen = useCallback((e) => {
    if (!document.fullscreenElement) {
      elRef.current.requestFullscreen().then(() => {
        setIsFullScreen(true);
      });
    }
  }, []);

  // useResize((w, h) => {
  //   if (fullScreenRef.current) {
  //     calcStyle();
  //   } else {
  //     setStyle({
  //       width: `${w}px`,
  //       height: `${h}px`,
  //     });
  //   }

  //   setIsFullScreen(!fullScreenRef.current);
  // });

  useEffect(() => {
    console.log('-----fullscreenchange------>', elRef.current);
    const handleFullScreenChange = (e) => {
      console.log(
        '-----handleFullScreenChange------>',
        document.fullscreenElement,
        fullScreenRef.current,
      );
      setIsFullScreen(document.fullscreenElement === fullScreenRef.current);
    };

    elRef.current.onfullscreenchange = handleFullScreenChange;

    // elRef.current.addEventListener('fullscreenchange', handleFullScreenChange);

    return elRef.current.removeEventListener('fullscreenchange', handleFullScreenChange);
  }, []);

  return { isFullScreen, toggleFullScreen };
}
