import React from 'react';
// import { getPersonList, exportPersonList } from '@/services/person';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import moment from 'moment';
import PageTable from '@/components/PageTable';

const formatterTime = (val) => {
  return val ? moment(val).format('YYYY-MM-DD HH:mm:ss') : '';
};

export default (props) => {
  const columns = [
    {
      title: '订单编号',
      dataIndex: 'orderNum',
      key: 'orderNum',
    },
    {
      title: '农机名',
      dataIndex: 'machineryName',
      key: 'machineryName',
    },
    {
      title: '农机型号',
      dataIndex: 'type',
      key: 'type',
    },
    {
      title: '农机数量',
      dataIndex: 'machineryNum',
      key: 'machineryNum',
    },
    {
      title: '需求时间',
      dataIndex: 'appointment_date',
      key: 'appointment_date',
    },
    {
      title: '农机价格',
      dataIndex: 'price',
      key: 'price',
      search: false,
    },
    {
      title: '押金',
      dataIndex: 'deposit',
      key: 'deposit',
    },
    {
      title: '费用',
      dataIndex: 'laborCost',
      key: 'laborCost',
    },
    {
      title: '状态',
      dataIndex: 'state',
      key: 'state',
      valueType: 'select',
      valueEnum: {
        '': { text: '不限', status: 'Default' },
        1: { text: '未付款' },
        2: { text: '已付款' },
        3: { text: '待确认' },
        4: { text: '进行中' },
        5: { text: '待评价' },
        6: { text: '已评价' },
        7: { text: '申请退款' },
        8: { text: '已退款' },
      },
    },
    {
      title: '下单时间',
      dataIndex: 'createDate',
      key: 'createDate',
      search: false,
      render: (t) => formatterTime(t),
      width: 200,
    },
    //操作如果是需求多台机器则需调度 状态为待确认时 状态栏显示调度按钮跳到调度页面
    // 如果是申请退款 则出现处理按钮 显示需求时间 如果未到则退款并且改变已分配农机手状态和农机状态
    // 如果已经服务过了 则可以打电话给农户咨询具体情况看是否退部分款项
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        // request={getPersonList}
        // expfunc={exportPersonList}
        columns={columns}
        rowKey="orderId"
        options={false}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
