import { Input, Card, Select, Button, message } from 'antd';
import { useEffect, useState } from 'react';
import { Form } from 'antd';
import { history } from 'umi';
import ExtendContent from '@/components/ExtendContent';
import ProCard from '@ant-design/pro-card';

const { Option } = Select;
const goBack = () => {
  history.goBack();
};
const FormItem = Form.Item;
export default (props) => {
  const [form] = Form.useForm();
  const [loading, setLoading] = useState(false);

  const formItemLayout = {
    //布局
    labelCol: { span: 6 },
    wrapperCol: { span: 14 },
  };

  const Submit = (values) => {
    console.log('🚀 ~ file: index.jsx ~ line 21 ~ values', values);
  };

  return (
    <Card>
      <ProCard tabs={{ type: 'card' }} style={{ marginTop: '16px' }}>
        <ProCard.TabPane key={1} tab="基本信息">
          <Form {...formItemLayout} onFinish={Submit} form={form}>
            <FormItem label="标题" name="title" rules={[{ required: true, message: '请输入' }]}>
              <Input placeholder="请输入" style={{ width: '350px' }} />
            </FormItem>
            <FormItem label="推送方式" name="phone" rules={[{ required: true, message: '请输入' }]}>
              <Select
                placeholder="请选择方式"
                // onChange={onGenderChange}
                allowClear
                style={{ width: '350px' }}
              >
                <Option value="male">通知栏推送</Option>
                <Option value="female">APP内消息中心推送</Option>
                <Option value="other">短信推送</Option>
              </Select>
            </FormItem>

            <FormItem label="图文信息" colon={false}>
              <ExtendContent
                targetType="tourist"
                targetId={'66'}
                onCancel={() => history.goBack()}
              />
            </FormItem>
            <FormItem label=" " colon={false}>
              <Button type="default" onClick={() => goBack()}>
                返回
              </Button>
              <Button
                type="primary"
                loading={loading}
                htmlType="Submit"
                style={{ marginLeft: '4em' }}
              >
                保存
              </Button>
            </FormItem>
          </Form>
        </ProCard.TabPane>
      </ProCard>
    </Card>
  );
};
