import { Card, message } from 'antd';
import { useEffect, useState } from 'react';
import ProCard from '@ant-design/pro-card';
import { getSetting, updateSetting } from '@/services/setting';
import SettingRow from '@/components/SettingRow';

export default (props) => {
  const [data, setData] = useState([]);

  const handleChange = (item, val) => {
    updateSetting(item.settingId, { ...item, settingValue: val })
      .then(() => {
        message.success('修改' + item.settingDesc + '成功');
      })
      .catch((err) => {
        message.error(err.message || err);
      });
  };
  useEffect(() => {
    getSetting().then((res) => {
      setData(res.records);
    });
  }, []);
  return (
    <Card>
      <ProCard tabs={{ type: 'card' }} style={{ marginTop: '16px' }}>
        <ProCard.TabPane key={1} tab="基本参数">
          {data.map((item) => {
            return <SettingRow key={item.settingId} value={item} onChange={handleChange} />;
          })}
        </ProCard.TabPane>
      </ProCard>
    </Card>
  );
};
