import request from '@/utils/request';

/**
 * 保存组织机构
 * @param {*} data
 * @returns
 */
export const addCooperative = (data) => request('/org', { method: 'post', data });

/**
 * 修改组织机构
 * @param {*} data
 * @returns
 */
export const updateCooperative = (id, data) => request(`/org/${id}`, { method: 'put', data });

/**
 * 查询组织机构列表
 * @param {*} params
 * @returns
 */
export const getCooperativeList = (params) => request('/org', { params });

/**
 * 删除组织机构
 * @param {*} data
 * @returns
 */
export const deleteCooperative = (id) => request(`/org/${id}`, { method: 'delete' });

/**
 * 查询组织机构详情
 * @param {*} params
 * @returns
 */
export const getCooperativeDetail = (id) => request(`/org/${id}`);
