import request from '@/utils/request'

/**
 * 保存扩展内容
 * @param {*} data 
 * @returns 
 */
export const save = (data) => request('/taExtendContent', { method: 'post', data })

/**
 * 修改扩展内容
 * @param {*} data 
 * @returns 
 */
export const update = (id, data) => request(`/taExtendContent/${id}`, { method: 'put', data })

/**
 * 查询扩展内容列表 
 * @param {*} params 
 * @returns 
 */
export const getList = (params) => request('/taExtendContent', { params })


/**
 * 删除扩展内容
 * @param {*} data 
 * @returns 
 */
 export const remove = (id) => request(`/taExtendContent/${id}`, { method: 'delete'})
 
/**
 * 查询扩展内容详情
 * @param {*} params 
 * @returns 
 */
export const getDetail = (id) => request(`/taExtendContent/${id}`)
