import request from '@/utils/request';

/**
 * 保存农机
 * @param {*} data
 * @returns
 */
export const addMachinery = (data) => request('/machinery', { method: 'post', data });

/**
 * 修改农机
 * @param {*} data
 * @returns
 */
export const updateMachinery = (id, data) => request(`/machinery/${id}`, { method: 'put', data });

/**
 * 查询农机列表
 * @param {*} params
 * @returns
 */
export const getMachineryList = (params) => request('/machinery', { params });

/**
 * 删除农机
 * @param {*} data
 * @returns
 */
export const deleteMachinery = (id) => request(`/machinery/${id}`, { method: 'delete' });

/**
 * 查询农机详情
 * @param {*} params
 * @returns
 */
export const getMachineryDetail = (id) => request(`/machinery/${id}`);
