import request from '@/utils/request';

/**
 * 保存农机类型
 * @param {*} data
 * @returns
 */
export const addMachineryType = (data) => request('/machinery-type', { method: 'post', data });

/**
 * 修改农机类型
 * @param {*} data
 * @returns
 */
export const updateMachineryType = (id, data) =>
  request(`/machinery-type/${id}`, { method: 'put', data });

/**
 * 查询农机类型列表
 * @param {*} params
 * @returns
 */
export const getMachineryTypeList = (params) => request('/machinery-type', { params });

/**
 * 删除农机类型
 * @param {*} data
 * @returns
 */
export const deleteMachineryType = (id) => request(`/machinery-type/${id}`, { method: 'delete' });

/**
 * 查询农机类型详情
 * @param {*} params
 * @returns
 */
export const getMachineryTypeDetail = (id) => request(`/machinery-type/${id}`);
