import request from '@/utils/request';

/**
 * 保存区域
 * @param {*} data
 * @returns
 */
export const addRegion = (data) => request('/region', { method: 'post', data });

/**
 * 修改区域
 * @param {*} data
 * @returns
 */
export const updateRegion = (id, data) => request(`/region/${id}`, { method: 'put', data });

/**
 * 查询区域列表
 * @param {*} params
 * @returns
 */
export const getRegionList = (params) => request('/region', { params });

/**
 * 删除区域
 * @param {*} data
 * @returns
 */
export const deleteRegion = (id) => request(`/region/${id}`, { method: 'delete' });

/**
 * 查询区域详情
 * @param {*} params
 * @returns
 */
export const getRegionDetail = (id) => request(`/region/${id}`);
