import request from '@/utils/request';

/**
 * 保存角色
 * @param {*} data
 * @returns
 */
export const addRole = (data) => request('/role', { method: 'post', data });

/**
 * 修改角色
 * @param {*} data
 * @returns
 */
export const updateRole = (id, data) => request(`/role/${id}`, { method: 'put', data });

/**
 * 查询角色列表
 * @param {*} params
 * @returns
 */
export const getRoleList = (params) => request('/role', { params });

/**
 * 删除角色
 * @param {*} data
 * @returns
 */
export const deleteRole = (id) => request(`/role/${id}`, { method: 'delete' });

/**
 * 查询角色详情
 * @param {*} params
 * @returns
 */
export const getRoleDetail = (id) => request(`/role/${id}`);

/**
 * 查询菜单列表
 * @param {*} params
 * @returns
 */
export const getMenuList = (params) => request('/menu', { params });

/**
 * 查询权限列表
 * @param {*} params
 * @returns
 */
export const getPermissionList = (params) => request('/permission', { params });
