import request from '@/utils/request';

export const currentUser = () => request('/currentUser', { showType: 0 });

export const changePassword = (data) => request('/change-password', { data, method: 'PUT' });

/**
 * 保存用户
 * @param {*} data
 * @returns
 */
export const addUser = (data) => request('/user', { method: 'post', data });

/**
 * 修改用户
 * @param {*} data
 * @returns
 */
export const updateUser = (id, data) => request(`/user/${id}`, { method: 'put', data });

/**
 * 查询用户列表
 * @param {*} params
 * @returns
 */
export const getUserList = (params) => request('/user', { params });

/**
 * 删除用户
 * @param {*} data
 * @returns
 */
export const deleteUser = (id) => request(`/user/${id}`, { method: 'delete' });

/**
 * 查询用户详情
 */
export const getUserDetail = (id) => request(`/user/${id}`);

/**
 * 查询默认密码
 */
export const getDefaultPassword = () => request('/user/default/password');
